Bug 1257586 - No error that resource cannot be found
Summary: No error that resource cannot be found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: David Davis
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1279464 (view as bug list)
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2015-08-27 12:06 UTC by Peter Vreman
Modified: 2019-09-25 20:54 UTC (History)
7 users (show)

Fixed In Version: rubygem-bastion-3.2.0.8-1,rubygem-katello-3.0.0.74-1,rubygem-bastion-3.2.0.10-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
contentviews glitch (36.09 KB, image/png)
2016-06-28 16:21 UTC, Roman Plevka
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13917 None None None 2016-04-22 15:06:07 UTC
Foreman Issue Tracker 15352 None None None 2016-06-08 15:41:02 UTC
Foreman Issue Tracker 15544 None None None 2016-06-29 15:04:12 UTC
Foreman Issue Tracker 15545 None None None 2016-06-29 15:04:34 UTC
Red Hat Bugzilla 1279464 None None None Never
Red Hat Bugzilla 1337947 None None None Never
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Internal Links: 1279464 1337947

Description Peter Vreman 2015-08-27 12:06:04 UTC
Description of problem:
Open a page with ID that does not exists.

The details Pane will keep the "Loading" spinner for at least the following pages:
/products/99999/info
/activation_keys/99999/info

The content view details Pane contains the Tabs and allows even editing a Name:
/content_views/99999/info

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open WebUI URL with manual replacing the ID with 99999
2.
3.

Actual results:
No error giving that the resource could not be found

Expected results:
Error that the resource does not exists


Additional info:

Comment 2 Walden Raines 2016-02-26 14:38:42 UTC
Created redmine issue http://projects.theforeman.org/issues/13917 from this bug

Comment 3 Walden Raines 2016-02-29 20:21:12 UTC
PR: https://github.com/Katello/katello/pull/5825

Comment 4 Bryan Kearney 2016-03-07 23:05:46 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13917 has been closed
-------------
Walden Raines
Applied in changeset commit:katello|8d2202608ecde59f23210303451ab3aa4caa57bb.

Comment 5 Peter Vreman 2016-03-08 16:35:31 UTC
Does the fix also fix https://bugzilla.redhat.com/show_bug.cgi?id=1279464?
If so then that one can be closed as duplicate.

Comment 6 Walden Raines 2016-03-08 19:11:49 UTC
*** Bug 1279464 has been marked as a duplicate of this bug. ***

Comment 7 Walden Raines 2016-03-08 19:12:06 UTC
(In reply to Peter Vreman from comment #5)
> Does the fix also fix https://bugzilla.redhat.com/show_bug.cgi?id=1279464?
> If so then that one can be closed as duplicate.

Yes, thanks for pointing that out Peter.

Comment 9 David Davis 2016-04-04 13:16:05 UTC
Verified against 6.2 snap 6. Checked products, repos, and activation keys.

Comment 10 Peter Vreman 2016-05-19 13:00:14 UTC
This is not fully fixed.

Going to /content_views/99999 or /products/99999 still gets into an infinite loop

Comment 11 Justin Sherrill 2016-05-19 13:26:18 UTC
Moving back to assigned based on comment #10

Comment 12 Bryan Kearney 2016-06-08 16:09:28 UTC
Upstream bug component is Uncategorized

Comment 13 Walden Raines 2016-06-08 17:48:59 UTC
PR: https://github.com/Katello/bastion/pull/114

Comment 14 Walden Raines 2016-06-13 14:27:08 UTC
Revision dee91a07
Added by Walden Raines 5 days ago

Fixes #15352: redirect to a 404 page if state does not exist.

We were infinitely redirecting on sub-states that didn't exist. This
commit redirects to a 404 page if a child state is not found.

http://projects.theforeman.org/issues/15352

Revision ba8bea1f
Added by Walden Raines 3 days ago

Merge pull request #114 from waldenraines/15352

Fixes #15352: redirect to a 404 page if state does not exist.

Comment 15 Roman Plevka 2016-06-28 16:21:36 UTC
Created attachment 1173500 [details]
contentviews glitch

FAILED QA
sat6.2.0 snap17

The error function is in place now and user ends with the error popup saying that resource cannot be found, however, the function takes some time to fetch the data and display the error, so the dialog appears before the error. One can still see the original dialog (especially on the content view page). and if he's quick enough or uses JS debugger to pause the script execution, he's able to click buttons on the form.

e.g. navigate to '/content_views/99999/delete'

- i was able to trigger deletion of the CV ending up with a popup with no text (see attachment)

This should be a synchronous action that won't load the dialog before the resource is fetched from the server.
By following the path of synchronous actions, we should mitigate strange scenarios like this one

Comment 16 Bryan Kearney 2016-06-29 16:08:32 UTC
Upstream bug component is WebUI

Comment 18 Brad Buckingham 2016-07-07 19:29:26 UTC
*** Bug 1353176 has been marked as a duplicate of this bug. ***

Comment 22 errata-xmlrpc 2016-07-27 08:55:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500

Comment 25 Roman Plevka 2017-03-02 10:19:11 UTC
VERIFIED

this seems to be fixed now.
6.2.8-4

the katello + foreman endpoints including
/content_views/99999/info or /products/99999

work correctly now.

Comment 26 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.